SEQSPLIT(1)

NAME
seqsplit - split seqs into chunks of defined size and overlap

SYNOPSIS
seqsplit [-options] <seqfile>

DESCRIPTION
This manual page documents briefly the seqsplit command.

seqsplit is a program that splits sequences into smaller chunks of defined size and overlap; output a FASTA file.

OPTIONS

-h  Help; display usage and version.

-o <file>
    Output the new FASTA file to <file>.

--fragfile <f>
    Save one-line-per-frag coord summary file to <f>.

--informat <s>
    Specify sequence file format <s>.

--length <n>
    Set max length of each unique seq frag to <n>.

--overlap <n>
    Set overlap length to <n> (total frag size = length+overlap).

--shortnames
    Use short "frag1" names, not "<src>/<from>-<to>".

LIMITATIONS
Still working in 32 bits -- no sequence can be more than 2 GB in size.

SEE ALSO
afetch(1), alistat(1), compalign(1), compstruct(1), revcomp(1), seqstat(1), sfetch(1), shuffle(1), sindex(1), sreformat(1), stranslate(1), weight(1).

AUTHOR
Sean Eddy
HHMI/Department of Genetics
Washington University School of Medicine
4444 Forest Park Blvd., Box 8510
St Louis, MO 63108 USA
Phone: 1-314-362-7666
FAX  : 1-314-362-2157
Email: eddy@genetics.wustl.edu

This manual page was written by Nelson A. de Oliveira <naoliv@gmail.com>,
for the Debian project (but may be used by others).